@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex mb-3">
        <div>Pros: Add New</div>
        <div class="ml-auto">
            <a class="btn btn-primary btn-sm" href="{{route('pros-index')}}">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
                Back
            </a>
        </div>
    </h3>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_api" value="/api/pro/create">
        <input type="hidden" name="_success" value="{{route('pros-index')}}">
        <input type="hidden" name="_return" value="{{route('pros-add_new')}}">
        <div class='form-group mb-3'>
<label class='control-label'>Cell Number</label>
<input class='form-control' type='tel' name='cellNumber' value='{{ old('cellNumber') ? old('cellNumber') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Email Address</label>
<input class='form-control' type='email' name='emailAddress' value='{{ old('emailAddress') ? old('emailAddress') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Display</label>
<input class='form-control' type='text' name='nameDisplay' value='{{ old('nameDisplay') ? old('nameDisplay') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Prefix</label>
<input class='form-control' type='text' name='namePrefix' value='{{ old('namePrefix') ? old('namePrefix') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name First</label>
<input class='form-control' type='text' name='nameFirst' value='{{ old('nameFirst') ? old('nameFirst') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Middle</label>
<input class='form-control' type='text' name='nameMiddle' value='{{ old('nameMiddle') ? old('nameMiddle') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Last</label>
<input class='form-control' type='text' name='nameLast' value='{{ old('nameLast') ? old('nameLast') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Suffix</label>
<input class='form-control' type='text' name='nameSuffix' value='{{ old('nameSuffix') ? old('nameSuffix') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Credential</label>
<input class='form-control' type='text' name='nameCredential' value='{{ old('nameCredential') ? old('nameCredential') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Is Hcp 
<input class='form-control' type='checkbox' name='isHcp'>
</label>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Hcp Npi</label>
<input class='form-control' type='text' name='hcpNpi' value='{{ old('hcpNpi') ? old('hcpNpi') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Previous Profession Category</label>
<input class='form-control' type='text' name='previousProfessionCategory' value='{{ old('previousProfessionCategory') ? old('previousProfessionCategory') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Current Profession Category</label>
<input class='form-control' type='text' name='currentProfessionCategory' value='{{ old('currentProfessionCategory') ? old('currentProfessionCategory') : '' }}' >
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('pros-index')}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
