@extends('pro.care_months.view')
@section('content-inner')

    <h4 class='my-3'>
        <div>Rm Time Entries Add New</div>
    </h4>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mr-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_uid" value="{{ $record->uid }}">
        <input type="hidden" name="_api" value="/api/careMonthEntry/createForRm">
        <input type="hidden" name="_success" value="{{route('care_months_SINGLE-SUB_rm_time_entries', ['uid' => $record->uid])}}">
        <input type="hidden" name="_return" value="{{route('care_months_SINGLE-ACTION_rm_time_entriesAddNew', ['uid' => $record->uid])}}">
        <input class='form-control' type='hidden' name='careMonthUid' value='{{ old('careMonthUid') ? old('careMonthUid') : $record->uid }}' >
<div class='form-group mb-3'>
<label class='control-label'>Pro</label>
<select class='form-control' name='proUid' value='{{ old('proUid') ? old('proUid') : '' }}' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('pro')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option <?= $o->uid === (old('proUid') ? old('proUid') : '') ? 'selected' : '' ?> value='<?= $o->uid ?>'><?= $o->name_display ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Effective Date</label>
<input class='form-control' type='date' name='effectiveDate' value='{{ old('effectiveDate') ? old('effectiveDate') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Time In Seconds</label>
<input class='form-control' type='number' name='timeInSeconds' value='{{ old('timeInSeconds') ? old('timeInSeconds') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Is Time Specific 
<input class='form-control' type='checkbox' name='isTimeSpecific'>
</label>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Starting Time</label>
<input class='form-control' type='time' name='startingTime' value='{{ old('startingTime') ? old('startingTime') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Ending Time</label>
<input class='form-control' type='time' name='endingTime' value='{{ old('endingTime') ? old('endingTime') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Content Text</label>
<input class='form-control' type='text' name='contentText' value='{{ old('contentText') ? old('contentText') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Content Detail</label>
<input class='form-control' type='text' name='contentDetail' value='{{ old('contentDetail') ? old('contentDetail') : '' }}' >
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('care_months_SINGLE-SUB_rm_time_entries', ['uid' => $record->uid])}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
